import { request } from "./utils";

/**
 * Unpublish pkg, if set publish to true, the package will be published
 * @param param0
 */
export async function unpublish({ name, publish, httpProxy, cpmHost}: { cpmHost: string, name: string, publish: boolean, httpProxy?: string}) {
  const payload = {
    pkg_name: name,
    author: '',
    published: publish || false
  }
  const res = await request(`${cpmHost}/publish`, {
    httpProxy,
    method: "post",
    body: JSON.stringify(payload),
    headers: { "Content-Type": "application/json" },
  })
  if (res.status !== 200) {
    console.error('Status code: ' + res.status)
    const r = await res.text()
    console.log(r)
    return
  }
  const r = await res.json()
  console.log(r)
}
