import fetch from "node-fetch";
import { HttpsProxyAgent } from "https-proxy-agent";

export async function request(url: string, init?: RequestInit & { httpProxy?: string}) {
  let proxyAgent = null;
  if (init?.httpProxy) {
    proxyAgent = new HttpsProxyAgent(init.httpProxy)
  }
  const response = await fetch(url as any, {
    ...init,
    agent: proxyAgent,
  } as any);
  return response;
}

export function delay(time: number) {
  return new Promise(resolve => setTimeout(resolve, time));
} 
